/* ============================================================= */
/* Site Footer
/* ============================================================= */

#site-footer {
    z-index: 20;
    position: relative;
    width: 100%;
    color: #ffffff;
    text-align: center;
    font-size: 16px;
    padding: 0;
}


/* ============================================================= */
/* Footer Top
/* ============================================================= */

#footer-top {
    z-index: 20;
    position: relative;
    padding-top: var(--padding-triangle, 17.6326981%); /* = Gegenkathete bei Winkel 10deg und Ankathete 100 */
    margin-top: calc(var(--padding-triangle, 17.6326981%) * -1);
    margin-bottom: 78px;
    pointer-events: none;
}

#footer-top .footer-top-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #3F535E;
    clip-path: polygon(100% 0, 0% 100%, 100% 100%);
}

/* Footer Logo
/* ------------------------------------------------------------- */

#footer-logo-wrapper {
    z-index: 2;
    position: absolute;
    bottom: calc(50% - 33px);
    left: calc(50% - 30px);
}

#footer-logo-wrapper svg {
    width: 60px;
    filter: drop-shadow(0 0 4px rgba(0,0,0,0.3));
}

/* Social Icons
/* ------------------------------------------------------------- */

#footer-top .footer-inner {
    position: absolute;
    top: calc(100% - 1px);
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 2em;
    background-color: #3F535E;
    padding: 20px 0;
}

#footer-top .social-icon {
    z-index: 1;
}

#footer-top .social-icon > a {
    display: flex;
    pointer-events: initial;
}

#footer-top .social-icon svg {
    width: 40px;
    height: auto;
    filter: drop-shadow(0 0 2px rgb(0 0 0 / 0.2));
}


/* ============================================================= */
/* Footer Main
/* ============================================================= */

#footer-main {
    background-color: #3F535E;
    padding: 0 0 50px 0;
}

#footer-main .footer-inner {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: flex-end;
    gap: 1.5em;
    padding: 0 5%;
}

#footer-main .footer-inner > * {
    flex: 100%;
}

#footer-main .footer-inner > *:first-child {
    padding-top: 40px;
}

#footer-main ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

#footer-main li {
    margin-bottom: 0.5em;
}

#footer-main li:first-child {
    font-weight: 700;
}

#footer-main p {
    margin-top: 0;
    margin-bottom: 0.5em;
}

#footer-main a {
    color: inherit;
    text-decoration: none;
    line-height: 1;
}

#footer-main a:focus,
#footer-main a:active,
#footer-main a:hover {
    color: #009BDF;
}


/* ============================================================= */
/* Footer Bottom
/* ============================================================= */

#footer-bottom {
    background-color: #707070;
    font-size: 16px;
    text-align: center;
    padding: 30px 0 70px;
}

#footer-bottom .footer-inner {
    padding: 0 5%;
}

#footer-bottom ul {
    display: flex;
    flex-flow: column wrap;
    gap: 1em;
    padding: 0;
    margin: 0;
    list-style: none;
}

#footer-bottom ul > * {
    flex: 100%;
}

#footer-bottom a {
    color: inherit;
    text-decoration: none;
}


/* Doppelpack Logo
/* ------------------------------------------------------------- */

#footer-logo-dp {
    display: flex;
    justify-content: center;
    color: inherit;
}

#footer-logo-dp svg {
    width: 100px;
    height: auto;
}


/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {



}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {

    /* ============================================================= */
    /* Site Footer
    /* ============================================================= */

    #site-footer {
        text-align: left;
    }

    /* ============================================================= */
    /* Footer Top
    /* ============================================================= */

    #footer-top {
        margin-bottom: -1px;
    }

    /* Footer Logo
    /* ------------------------------------------------------------- */

    #footer-logo-wrapper {
        bottom: 0;
        left: 5%;
        transform: translateY(20px);
    }

    #footer-logo-wrapper svg {
        width: 150px;
    }

    /* Social Icons
    /* ------------------------------------------------------------- */

    #footer-top .footer-inner {
        position: initial;
        top: initial;
        left: initial;
        display: block;
        background-color: transparent;
        padding: 0;
    }

    #footer-top .social-icon {
        position: absolute;
        bottom: 95%;
        right: 5%;
        display: flex;
        text-decoration: none;
        transform-origin: right;
    }

    #footer-top .social-icon:nth-child(2) {
        bottom: calc(95% - 8%);
        right: calc(5% + 8%);
    }

    #footer-top .social-icon:nth-child(3) {
        bottom: calc(95% - 8% * 2);
        right: calc(5% + 8% * 2);
    }

    #footer-top .social-icon:nth-child(4) {
        bottom: calc(95% - 8% * 3);
        right: calc(5% + 8% * 3);
    }

    #footer-top .social-icon > a {
        position: absolute;
        right: 0;
        top: 0;
        transform: translateY(calc(-1.5em + var(--padding-triangle, 17.6326981%) / 2));
    }

    #footer-top .social-icon svg {
        width: 3em;
        transition: transform 0.15s linear;
    }

    #footer-top .social-icon > a:hover svg {
        transform: scale(1.1);
    }


    /* ============================================================= */
    /* Footer Main
    /* ============================================================= */

    #footer-main .footer-inner {
        flex-wrap: wrap;
    }

    #footer-main .footer-inner > * {
        flex: 30%;
    }

    #footer-main .footer-inner > *:first-child {
        flex: 100%;
    }

}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

    /* ============================================================= */
    /* Footer Main
    /* ============================================================= */

    #footer-main .footer-inner {
        flex-wrap: nowrap;
    }

    #footer-main .footer-inner > *,
    #footer-main .footer-inner > *:first-child {
        flex: 25%;
    }


    /* ============================================================= */
    /* Footer Bottom
    /* ============================================================= */

    #footer-bottom {
        text-align: left;
    }

    #footer-bottom ul {
        justify-content: center;
        flex-flow: row wrap;
        column-gap: 3em;
    }

    #footer-bottom ul > * {
        flex: initial;
    }


    /* Doppelpack Logo
    /* ------------------------------------------------------------- */

    #footer-bottom ul > .footer-logo-wrapper {
        flex: 100%;
    }


}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

    /* ============================================================= */
    /* Site Footer
    /* ============================================================= */

    #site-footer {
        font-size: 18px;
    }


    /* ============================================================= */
    /* Footer Bottom
    /* ============================================================= */

    #footer-bottom {
        padding-bottom: 30px;
    }


}